%define anolis_release 1
%{!?python3_sitearch: %global python_sitearch %(%{__python3} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Name:     libplist
Version:  2.2.0
Release:  %{anolis_release}%{?dist}
Summary:  Library for manipulating Apple Binary and XML Property Lists

License:  LGPLv2+
URL:      http://www.libimobiledevice.org/
Source0:  https://github.com/libimobiledevice/%{name}/archive/%{version}.tar.gz

BuildRequires: chrpath
BuildRequires: gcc gcc-c++
BuildRequires: python3-Cython
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: automake autoconf libtool
BuildRequires: make

%description
libplist is a library for manipulating Apple Binary and XML Property Lists

%package  devel
Summary:  Development package for libplist
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: pkgconfig

%description devel
%{name}, development headers and libraries.

%package  -n python3-libplist
%{?python_provide:%python_provide python3-libplist}
# Remove before F30
Provides: %{name}-python = %{version}-%{release}
Provides: %{name}-python%{?_isa} = %{version}-%{release}
Obsoletes: %{name}-python < %{version}-%{release}
Provides: python2-%{name} = %{version}-%{release}
Provides: python2-%{name}%{?_isa} = %{version}-%{release}
Obsoletes: python2-%{name} < %{version}-%{release}
Summary:  Python3 bindings for libplist
%{?python_provide:%python_provide python3-libplist}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: python3

%description -n python3-libplist
%{name}, python2 libraries and bindings.

%prep
%autosetup -p1

NOCONFIGURE=1 ./autogen.sh

%build
export CC=%{__cc}
export CXX=%{__cxx}
export CFLAGS='%optflags -fno-strict-aliasing'
export CXXFLAGS='%optflags -fno-strict-aliasing'
export PYTHON='python3'
%configure --disable-static

%make_build V=1

%install
%make_install

find $RPM_BUILD_ROOT -type f -name "*.la" -delete

chrpath --delete $RPM_BUILD_ROOT%{_bindir}/plistutil
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/libplist++-2.0.so.3*
chrpath --delete $RPM_BUILD_ROOT%{python3_sitearch}/plist*

%check
make check

%ldconfig_scriptlets

%files
%license COPYING.LESSER
%doc AUTHORS README.md
%{_bindir}/plistutil
%{_libdir}/libplist-2.0.so.3*
%{_libdir}/libplist++-2.0.so.3*
%{_mandir}/man1/*

%files devel
%{_libdir}/pkgconfig/libplist-2.0.pc
%{_libdir}/pkgconfig/libplist++-2.0.pc
%{_libdir}/libplist-2.0.so
%{_libdir}/libplist++-2.0.so
%{_includedir}/plist

%files -n python3-libplist
%{python3_sitearch}/plist*

%changelog
* Wed Apr 06 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.2.0-1
- Init from upstream version 2.2.0
